-- Table: renamed_visual_element
CREATE TABLE [renamed_visual_element] (
    [gobject_id] int NOT NULL,
    [package_id] int NOT NULL,
    [mx_primitive_id] smallint NOT NULL,
    [visual_element_id] int NOT NULL,
    [old_visual_element_name] nvarchar(329) NOT NULL,
    [new_visual_element_name] nvarchar(329) NOT NULL,
    [visual_element_type] nvarchar(32) NOT NULL,
    [timestamp_of_rename] timestamp NOT NULL,
    CONSTRAINT [PK_renamed_visual_element] PRIMARY KEY ([gobject_id], [package_id], [timestamp_of_rename])
);
GO

